/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef LIBPARSER_DOT_H
#define LIBPARSER_DOT_H

#include "cidev.h"

#define CONFIG_LINE_LEN 128

void free_config(cidev_entry_t *entry);
int read_config_file(char *config, cidev_entry_t **entry);
int print_config_file(cidev_entry_t *config);
cidev_entry_t *text_get_entry_keyword(cidev_entry_t *config, char *kw, int n);
cidev_entry_t *text_get_entry(cidev_entry_t *config, char *kw, char *key, char *value);
char *strip_white_space(char *str,int *len);

#endif


