/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __gnbd_serv_h__
#define __gnbd_serv_h__

#ifdef MODVERSIONS
#include <linux/modversions.h>
#endif				/*  MODVERSIONS  */
#include <linux/module.h>
#include <linux/slab.h>
#include <asm/uaccess.h>
#include <linux/smp_lock.h>
#include "macros.h"

#ifndef TRUE
#define TRUE (1)
#endif

#ifndef FALSE
#define FALSE (0)
#endif

#define MAX_DISK_SIZE 1024*1024*1024
#define GNBD_HARDSECT 512

extern int gnbd_servd_state;
int start_gnbd_servd(int port);
void stop_gnbd_servd(void);

#define GNBD_SERVD_DEAD 0
#define GNBD_SERVD_ALIVE 1

#endif				/* __gnbd_serv_h__ */
